Subject: [bess] REG: draft-rabadan-bess-evpn-ac-df-02

From: "sudeep g ggg" <[email-masked]>
Date: 25 Nov 2015 13:58:55 -0000

Respected Authors,

I had gone through the draft at high level,I am happy to see a real provider provisioning issues addressed in your draft. Much appreciated.

 Some key highlights in your draft.

1. No changes.
2. Using existing features to address a problem.
3. Addresses provisioning issues.

How ever I have following queries.

May I know how to deal with vlan provisioning issues like one PE will have vlan 2,3,4 and other PE will have 3,4 this will end up in both PE's as DF correct me if I am wrong, you use type 1 Ad per ES and EVI for DF election, how about vlan issues.

May I know how to handle transient loop during 3 seconds period during DF election.May I know the state of PE during the DF election, clarity required[humble opinion].

This seems to be a good customer focused solution. I appreciate it.[please note: this is my humble opinion as an individual not representing any one]

Regards,
Sudhin Jacob

---

From: "Rabadan, Jorge (Jorge)" <[email-masked]>
Date: Mon, 30 Nov 2015 06:19:56 +0000

Hi Sudhin,

Please see in-line.
Thanks.
Jorge

From: BESS <[email-masked]<mailto:[email-masked]>> on behalf of sudeep g ggg <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, November 25, 2015 at 2:58 PM
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: [bess] REG: draft-rabadan-bess-evpn-ac-df-02

Respected Authors,

1. No changes.

[JORGE] not only provisioning issues but also ‘logical’ failures like an "Attachment Circuit” going oper-down due to OAM or admin shutdown.

[JORGE] the draft talks about how to influence the DF election based on the status of an “Attachment Circuit (AC)”. For VLAN-based services, a customer VID equals an AC (and there is a single VLAN per EVI per ES), hence in this case you can actually catch VLAN provisioning mistakes, i.e. if you don’t provision VLAN 2 in PE1, PE1 won’t ever send the AD per EVI route for that VLAN, hence PE1 won’t be elected the DF within the ES in any PE using the AD per-EVI route in the DF election.

[JORGE] the draft is not changing the DF election itself (where, by the way, there is no transient loops). It is only removing PEs from the candidate DF list for a given EVI based on the presence of the AD per-EVI route. All the rest of the RFC7432 procedures are kept intact.

Regards,
Sudhin Jacob

[https://sigads.rediff.com/RealMedia/ads/adstream_nx.ads/www.rediffmail.com/signatureline.htm@Middle]<https://sigads.rediff.com/RealMedia/ads/click_nx.ads/www.rediffmail.com/signatureline.htm@Middle?>
Get your own FREE website, FREE domain & FREE mobile app with Company email.
        Know More ><http://track.rediff.com/click?url=___http://businessemail.rediff.com?sc_cid=sign-1-10-13___&cmp=host&lnk=sign-1-10-13&nsrv1=host>

---

From: "sudeep g ggg" <[email-masked]>
Date: 30 Nov 2015 12:52:49 -0000

Hi Jorge,

Your point,AC  per Vlan, suppose I want to provision for my customer as vlan bundle then how to handle. Kindly explain.

Regards,
Sudhin

On Mon, 30 Nov 2015 11:49:59 +0530 "Rabadan, Jorge (Jorge)"  wrote

Hi Sudhin,

Please see in-line.
Thanks.
Jorge

From: BESS  on behalf of sudeep g ggg 

To: "[email-masked]" 

Respected Authors,

1. No changes.

[JORGE] the draft talks about how to influence the DF election based on the status of an “Attachment Circuit (AC)”. For VLAN-based services, a customer VID equals an AC (and there is a single VLAN per EVI per ES), hence in this case you can actually catch
 VLAN provisioning mistakes, i.e. if you don’t provision VLAN 2 in PE1, PE1 won’t ever send the AD per EVI route for that VLAN, hence PE1 won’t be elected the DF within the ES in any PE using the AD per-EVI route in the DF election.

[JORGE] the draft is not changing the DF election itself (where, by the way, there is no transient loops). It is only removing PEs from the candidate DF list for a given EVI based on the presence of the AD per-EVI route. All the rest of the RFC7432 procedures
 are kept intact.

Regards,

Sudhin Jacob

Get your own

FREE website, 
FREE domain & 
FREE mobile app with Company email. 

Know
 More >

---

From: "sudeep g ggg" <[email-masked]>
Date: 30 Nov 2015 13:32:00 -0000

Hi Jorge,

Section 2.1.1. Current DF election procedure and AC failures

If AC2 is accidentally shutdown or even not configured, CE12
traffic will be impacted. In case of all-active multi-homing, only
the BUM traffic to CE12 will be impacted, whereas for single-active
multi-homing all the traffic to/from CE12 will be discarded. This is
due to the fact that a logical failure in PE-2 AC2 will not trigger
an ES route withdrawn for ESI12 (since there are still other ACs
active on ESI12) and therefore PE-1 will not re-run the DF election
procedures.

In Single Active a sub interface goes down, it will send a type 4 withdrawal and other PE will become DF based. This is taken care in SA but AA it makes sense.

How about the 3 second timer, there will be a loop if there is transition of PE's moving to DF to NON DF when a new PE as added or a link failure. During this time, may I know how the traffic is handled because RFC is not clear about that period. How you are going to tackle that issue.During this transition period if both PE starts forwarding the traffic there will be a loop, how to address that.

If you are using AC per Vlan but customers require vlan bundle, some times local switching how to handle those situations. Kindly clarify.

Correct me if I am wrong.

Regards,
Sudhin

On Mon, 30 Nov 2015 11:50:09 +0530 "Rabadan, Jorge (Jorge)"  wrote

Hi Sudhin,

Please see in-line.
Thanks.
Jorge

To: "[email-masked]" 

Respected Authors,

1. No changes.

Regards,

Sudhin Jacob

Get your own

FREE website, 
FREE domain & 

Know
 More >

 
_______________________________________________

BESS mailing list

[email-masked]

https://www.ietf.org/mailman/listinfo/bess

---

From: "Rabadan, Jorge (Jorge)" <[email-masked]>
Date: Mon, 30 Nov 2015 13:51:57 +0000

Hi Sudhin,

With vlan bundle, the AC becomes the entire bundle so there is an AD per-EVI route for the entire bundle.
It comes down to each specific implementation, but that AC can still be shut/no shutdown and therefore influence the DF election. You can’t detect individual vlan failures or mistakes, but if the aggregate interface is active or not.

Thanks.
Jorge

From: <[email-masked]<mailto:[email-masked]>> on behalf of sudeep g ggg <[email-masked]<mailto:[email-masked]>>
Date: Monday, November 30, 2015 at 1:52 PM
To: Jorge Rabadan <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [bess] REG: draft-rabadan-bess-evpn-ac-df-02

Hi Jorge,

Regards,
Sudhin

Hi Sudhin,

Please see in-line.
Thanks.
Jorge

To: "[email-masked]<mailto:[email-masked]>"

Respected Authors,

1. No changes.

Regards,

Sudhin Jacob

Get your own

FREE website,
FREE domain &

Know
More >

---

From: "Rabadan, Jorge (Jorge)" <[email-masked]>
Date: Mon, 30 Nov 2015 14:05:29 +0000

Hi,

Note that RFC7432 ethernet-segments are assigned to ‘physical’ ports, i.e. a logical subinterface will not trigger a type 4 withdrawal as long as the port is still oper-up.
The association of logical sub-interfaces to ethernet-segments is tackled in https://tools.ietf.org/html/draft-sajassi-bess-evpn-virtual-eth-segment

About the loop, again, the split-horizon procedures and the ESI label protect against loops, since there is a data path indication of the ethernet segment that originated the BUM traffic. The timer makes sure that all the PEs have the same view on who the DF is.

Thx
jorge

Date: Monday, November 30, 2015 at 2:32 PM

Hi Jorge,

Regards,
Sudhin

Hi Sudhin,

Please see in-line.
Thanks.
Jorge

Respected Authors,

1. No changes.

Regards,

Sudhin Jacob

Get your own

FREE website,
FREE domain &

Know
More >

BESS mailing list

[email-masked]<mailto:[email-masked]>